Package org.apache.sling.scripting.sightly.impl.compiler.optimization

## Interface StreamTransformer

All Known Implementing Classes:
  `SequenceStreamTransformer`

    public interface StreamTransformer

Interface for stream transformations.

### Method Summary

All Methods Instance Methods Abstract Methods
`CommandStream` `transform​(CommandStream inStream)` Given the input stream, return a transformed out stream

### Method Detail

#### transform

    CommandStream transform​(CommandStream inStream)

Given the input stream, return a transformed out stream

Parameters:
  `inStream` - the input stream
Returns:
  the result stream